MESG(1)

NOM
mesg - Afficher (ou ne pas afficher) des messages des autres utilisateurs

SYNOPSIS

mesg [option] [n|y]

DESCRIPTION

L’utilitaire mesg est appelé par un utilisateur pour contrôler l’accès en écriture donné aux autres sur le périphérique de terminal associé à la sortie d’erreur standard. Si l’accès en écriture est accordé, alors les programmes comme talk(1) ou write(1) peuvent afficher des messages sur le terminal.

En général, l’accès en écriture est accordé par défaut. Cependant, comme les utilisateurs prennent conscience des divers risques de sécurité, la tendance est à la suppression de cet accès par défaut, au moins pour l’interpréteur de commandes de connexion principal. Pour s’assurer que les terminaux sont définis conformément aux attentes, mesg devrait être exécuté dans les scripts de connexion.

The mesg utility silently exits with error status 2 if not executed on a terminal. In this case executing mesg is pointless. The command line option --verbose forces mesg to print a warning in this situation. This behaviour has been introduced in version 2.33.

ARGUMENTS

n
    Interdire les messages.

y
    Permettre l’affichage des messages.

Si aucun argument n’est donné, mesg affiche l’autorisation actuelle de message sur la sortie d’erreur standard.

OPTIONS

-v, --verbose
    Expliquer ce qui est fait.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

CODE DE RETOUR

L’utilitaire mesg quitte avec une des valeurs suivantes :

0
    Les messages sont permis.

1
    Les messages ne sont pas permis.

>1
    Une erreur s’est produite.

FICHIERS

/dev/[pt]ty*, /dev/pts/[0-9]*

HISTORIQUE

mesg (I) appears in the UNIX Programmer’s Manual. It used to invert the current state with no argument before Version 7 AT&T UNIX.

VOIR AUSSI

login(1), talk(1), write(1), wall(1), xterm(1)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande mesg fait partie du paquet util-linux, elle est disponible sur